## plasma-keyboard 0.0.0+p24.04+vstable+git20260114.0125

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vstable+git20260114.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 01:25:17 +0000

plasma-keyboard (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Sun, 13 Jul 2025 16:44:11 +1000
