## plasma-keyboard 0.0.0+p24.04+vstable+git20260114.0248

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vstable+git20260114.0248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 02:48:26 +0000
