## plasma-keyboard 0.0.0+p24.04+vunstable+git20260104.0321

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vunstable+git20260104.0321-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:21:47 +0000
