## plasma-keyboard 0.0.0+p24.04+vunstable+git20260123.0607

=== debian/changelog ===
plasma-keyboard (0.0.0+p24.04+vunstable+git20260123.0607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 06:07:05 +0000
