=== debian/control ===
Source: plasma-keyboard
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               liblayershellqtinterface-dev,
               libplasma-dev,
               libwayland-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-virtualkeyboard-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-login-manager
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/plasma-keyboard.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/plasma-keyboard
Maintainer: Neon CI <neon@kde.org>

Package: plasma-keyboard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's plasma virtual keyboard
 The plasma-keyboard is a virtual keyboard based on Qt Virtual Keyboard
 designed to integrate in Plasma.
 .
 This package contains the plasma-keyboard main library.

Package: plasma-keyboard-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         plasma-keyboard (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's plasma virtual keyboard
 The plasma-keyboard is a virtual keyboard based on Qt Virtual Keyboard
 designed to integrate in Plasma.
 .
 This package contains the plasma-keyboard development files.
